#ifndef IMS_IMU_LSM6DSL_H
#define IMS_IMU_LSM6DSL_H

#include "imsensors/common/sensors_common.h"

typedef struct {
    ims_i2c_xfer_t i2c_xfer;
    ims_delay_t    delay;
} ims_lsm6dsl_cb_t;

typedef struct {
    void            *pdev;
    ims_lsm6dsl_cb_t cb;
} ims_lsm6dsl_t;

ims_ret_t ims_lsm6dsl_init(ims_lsm6dsl_t *imu);
ims_ret_t ims_lsm6dsl_read_temperature(ims_lsm6dsl_t *imu, int16_t *temp);

#endif  // IMS_IMU_LSM6DSL_H
